Intermittent /html/browsers/windows/browsing-context-names/choose-_blank-003.html | Unable to locate window: 4294967297

NEW
Unassigned

Status

Testing
web-platform-tests
5 months ago
2 months ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure, leave-open})

Version 3
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox56 wontfix, firefox57 disabled, firefox58 disabled)

Details

(Whiteboard: [stockwell disabled])

(Reporter)

Description

5 months ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=107614912&repo=mozilla-central

https://queue.taskcluster.net/v1/task/HOvLBCjCSESASuRGZgh7XA/runs/0/artifacts/public/logs/live_backing.log
32 failures this week:
https://brasstacks.mozilla.com/orangefactor/index.html?display=Bug&bugid=1374133&startday=2017-06-16&endday=2017-06-23&tree=trunk

mostly on linux, some osx- many configurations.

here is a recent linux64 debug failure log:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=109644696&lineNumber=6169

and related data from the log:
[task 2017-06-23T19:37:14.382772Z] 19:37:14     INFO - TEST-START | /html/browsers/windows/browsing-context-names/choose-_blank-003.html
[task 2017-06-23T19:37:14.561454Z] 19:37:14     INFO - TEST-UNEXPECTED-ERROR | /html/browsers/windows/browsing-context-names/choose-_blank-003.html | Unable to locate window: 4294967297
[task 2017-06-23T19:37:14.562709Z] 19:37:14     INFO - stacktrace:
[task 2017-06-23T19:37:14.562756Z] 19:37:14     INFO - 	WebDriverError@chrome://marionette/content/error.js:222:5
[task 2017-06-23T19:37:14.562821Z] 19:37:14     INFO - 	NoSuchWindowError@chrome://marionette/content/error.js:444:5
[task 2017-06-23T19:37:14.562872Z] 19:37:14     INFO - 	GeckoDriver.prototype.switchToWindow@chrome://marionette/content/driver.js:1440:11
[task 2017-06-23T19:37:14.562905Z] 19:37:14     INFO - 	TaskImpl_run@resource://gre/modules/Task.jsm:331:42
[task 2017-06-23T19:37:14.563262Z] 19:37:14     INFO - 	TaskImpl@resource://gre/modules/Task.jsm:280:3
[task 2017-06-23T19:37:14.563672Z] 19:37:14     INFO - 	asyncFunction@resource://gre/modules/Task.jsm:252:14
[task 2017-06-23T19:37:14.564055Z] 19:37:14     INFO - 	Task_spawn@resource://gre/modules/Task.jsm:166:12
[task 2017-06-23T19:37:14.564352Z] 19:37:14     INFO - 	TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:401:16
[task 2017-06-23T19:37:14.564679Z] 19:37:14     INFO - 	TaskImpl_run@resource://gre/modules/Task.jsm:339:15
[task 2017-06-23T19:37:14.564948Z] 19:37:14     INFO - 	TaskImpl@resource://gre/modules/Task.jsm:280:3
[task 2017-06-23T19:37:14.565222Z] 19:37:14     INFO - 	asyncFunction@resource://gre/modules/Task.jsm:252:14
[task 2017-06-23T19:37:14.565514Z] 19:37:14     INFO - 	Task_spawn@resource://gre/modules/Task.jsm:166:12
[task 2017-06-23T19:37:14.565781Z] 19:37:14     INFO - 	execute@chrome://marionette/content/server.js:510:15
[task 2017-06-23T19:37:14.566042Z] 19:37:14     INFO - 	onPacket@chrome://marionette/content/server.js:481:7
[task 2017-06-23T19:37:14.566385Z] 19:37:14     INFO - 	_onJSONObjectReady/<@chrome://marionette/content/transport.js:480:9
[task 2017-06-23T19:37:14.566582Z] 19:37:14     INFO - TEST-INFO took 178ms
[task 2017-06-23T19:37:14.591257Z] 19:37:14     INFO - PID 3125 | 1498246634586	Marionette	INFO	New connections will no longer be accepted
[task
 2017-06-23T19:37:14.592758Z] 19:37:14     INFO - PID 3125 | [Parent 3125] WARNING: NS_ENSURE_TRUE(weak) failed: file /home/worker/workspace/build/src/dom/base/nsFrameMessageManager.cpp, line 343
[task 2017-06-23T19:37:14.924872Z] 19:37:14     INFO - PID 3125 | [Parent 3125] WARNING: NS_ENSURE_TRUE(weak) failed: file /home/worker/workspace/build/src/dom/base/nsFrameMessageManager.cpp, line 343
[task 2017-06-23T19:37:14.963479Z] 19:37:14     INFO - PID 3125 | 



not much to go from in the log.

looking on github, I see an author (not in bugzilla?), but not a reviewer:
https://github.com/w3c/web-platform-tests/commit/afa8f8edb0711f010df59c209c31521b482b38aa

there is no bugzilla component associated with this test, I am not sure what spec this is implementing, we need to figure that out.

in addition, there are 2 other intermittent bugs for this test case, bug 1373511 (many instances as well) and bug 1295436 (old bug no new instances).

:jgraham, can you find the right component for these tests so we can get the proper team to work on these tests?
Flags: needinfo?(james)
Whiteboard: [stockwell needswork]

Comment 2

5 months ago
31 failures in 892 pushes (0.035 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 14
* autoland: 12
* mozilla-central: 3
* try: 2

Platform breakdown:
* linux64: 11
* osx-10-10: 8
* linux64-stylo: 6
* linux32: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-06-19&endday=2017-06-25&tree=all
Pretty sure what's happening here is either a bug in the harness or a bug in marionette. It's failing to close a window that it thinks exists, which suggests that either the window handles changed, or the window got closed by the test before the harness.
So the relevant harness code is:

    def close_old_windows(self, protocol):
        handles = self.marionette.window_handles
        runner_handle = None
        try:
            handles.remove(self.runner_handle)
            runner_handle = self.runner_handle
        except ValueError:
            # The runner window probably changed id but we can restore it
            # This isn't supposed to happen, but marionette ids are not yet stable
            # We assume that the first handle returned corresponds to the runner,
            # but it hopefully doesn't matter too much if that assumption is
            # wrong since we reload the runner in that tab anyway.
            runner_handle = handles.pop(0)

        for handle in handles:
            self.marionette.switch_to_window(handle)
            self.marionette.close()

        self.marionette.switch_to_window(runner_handle)
        if runner_handle != self.runner_handle:
            self.load_runner(protocol)

So we try to close all windows except the window we first had open (self.runner_handle), but if that doesn't exist we leave one window open. In either case runner_handle should be a valid window reference at the start of the loop. The fact that it isn't by the end could be that the test is closing that window, but it certainly ought not to be. Or it could be that marionette is changing the window handles for some reason. WHimboo: any ideas? I can add extra logging here of couse.
Flags: needinfo?(james) → needinfo?(hskupin)
I would suggest that you are using a try build to generate a trace log, or do it yourself. It's hard to tell what's wrong here, and a tracelog would give us the information immediately.
Flags: needinfo?(hskupin)

Comment 6

5 months ago
47 failures in 718 pushes (0.065 failures/push) were associated with this bug in the last 7 days. 

This is the #30 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 26
* mozilla-inbound: 16
* try: 4
* mozilla-central: 1

Platform breakdown:
* linux64: 33
* osx-10-10: 6
* linux32: 5
* linux64-stylo: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-06-26&endday=2017-07-02&tree=all

Comment 7

5 months ago
38 failures in 656 pushes (0.058 failures/push) were associated with this bug in the last 7 days. 

This is the #42 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 14
* autoland: 11
* try: 6
* mozilla-central: 3
* oak: 2
* cedar: 2

Platform breakdown:
* linux64: 14
* osx-cross: 13
* linux32: 5
* linux64-stylo: 3
* osx-10-10: 2
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-07-03&endday=2017-07-09&tree=all

Comment 8

5 months ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/482bb010dbf4
Skip wpt choose-_blank-003.html for intermittent failures; r=me,test-only

Updated

5 months ago
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]

Comment 9

4 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/482bb010dbf4

Comment 10

4 months ago
37 failures in 720 pushes (0.051 failures/push) were associated with this bug in the last 7 days. 

This is the #36 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 17
* mozilla-inbound: 10
* try: 5
* mozilla-central: 3
* oak: 1
* cedar: 1

Platform breakdown:
* linux64: 14
* osx-cross: 12
* osx-10-10: 4
* linux64-stylo: 3
* linux32: 3
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-07-10&endday=2017-07-16&tree=all

Comment 11

4 months ago
22 failures in 822 pushes (0.027 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 14
* try: 4
* mozilla-inbound: 2
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 10
* linux64-stylo: 5
* linux64: 3
* linux32: 2
* windows7-32: 1
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 12

4 months ago
38 failures in 1008 pushes (0.038 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 18
* autoland: 15
* try: 3
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 14
* linux64-stylo: 8
* linux32: 7
* linux64: 5
* macosx64-stylo: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 13

4 months ago
40 failures in 888 pushes (0.045 failures/push) were associated with this bug in the last 7 days. 

This is the #43 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 23
* mozilla-inbound: 11
* mozilla-central: 3
* try: 2
* oak: 1

Platform breakdown:
* macosx64-stylo: 17
* osx-10-10: 10
* linux32: 5
* linux64-stylo: 4
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 14

3 months ago
30 failures in 901 pushes (0.033 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 11
* mozilla-beta: 6
* mozilla-central: 5
* try: 4
* mozilla-inbound: 4

Platform breakdown:
* macosx64-stylo: 12
* osx-10-10: 9
* macosx64-devedition: 6
* linux64-stylo: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 15

3 months ago
30 failures in 949 pushes (0.032 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 12
* mozilla-central: 9
* mozilla-inbound: 6
* try: 3

Platform breakdown:
* osx-10-10: 14
* macosx64-stylo: 8
* linux64-stylo: 3
* linux32: 3
* macosx64-devedition: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-08-14&endday=2017-08-20&tree=all
somehow this disappeared!  I need to reland this and I wish that when we deleted this file it was updated in this bug

Comment 17

3 months ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/f139e3a8bb15
Skip wpt choose-_blank-003.html for intermittent failures; r=me,test-only
https://hg.mozilla.org/releases/mozilla-beta/rev/d34f45fcc741
status-firefox56: --- → disabled
status-firefox57: --- → disabled

Comment 19

3 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/f139e3a8bb15

Comment 20

3 months ago
20 failures in 908 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 8
* try: 4
* mozilla-central: 4
* mozilla-inbound: 2
* mozilla-beta: 2

Platform breakdown:
* macosx64-stylo: 6
* osx-10-10: 5
* linux64: 3
* macosx64-devedition: 1
* linux64-stylo: 1
* linux64-devedition: 1
* linux32-stylo: 1
* linux32-nightly: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-08-21&endday=2017-08-27&tree=all
So this test got disabled? How can it still produce test failures?
Flags: needinfo?(jmaher)
I really don't understand why this test is running :(

:jgraham, do you see anything wrong with https://hg.mozilla.org/mozilla-central/rev/f139e3a8bb15 ?
Flags: needinfo?(jmaher) → needinfo?(james)
Yes, you put .ini in the [] part so it isn't applied since the names don't match.

In any case it might be worth seeing what happens when bug 1373444 is fixed because that will either fix this or at least make the underlying cause more obvious. Since this isn't a top-100 intermittent it doesn't seem too harmful to wait a while.
Flags: needinfo?(james)
thanks for spotting the error!  we will see how this works out after bug 1373444 is fixed.
Depends on: 1373444

Comment 25

3 months ago
37 failures in 939 pushes (0.039 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 19
* mozilla-inbound: 6
* try: 5
* mozilla-central: 5
* mozilla-beta: 2

Platform breakdown:
* macosx64-stylo: 9
* osx-10-10: 7
* linux32-stylo: 6
* linux32: 6
* macosx64-devedition: 3
* linux64-stylo: 3
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-08-28&endday=2017-09-03&tree=all
(In reply to Joel Maher ( :jmaher) (UTC-5) from comment #24)
> thanks for spotting the error!  we will see how this works out after bug
> 1373444 is fixed.

Joel, the dependency has been fixed now. Can you check if we can re-enable this test?
Flags: needinfo?(jmaher)
we technically do not have this disabled as I did not annotate the .ini file properly- I see many references to this test failing this morning- so it looks as though bug 1373444 didn't fix the issue.

:whimboo, is there another pending fix, or should we disable this?
Flags: needinfo?(jmaher) → needinfo?(hskupin)
It would be nice to have tracing output for Marionette to actually see what's going on but that's not available. So I don't have the time to dig into web-platform-tests, but James has way more expertise and could have a look. Maybe it's somewhat similar to the issue on bug 1373444.
Flags: needinfo?(hskupin) → needinfo?(james)
status-firefox56: disabled → affected
status-firefox57: disabled → affected
Whiteboard: [stockwell disabled] → [stockwell unknown]
Whiteboard: [stockwell unknown] → [stockwell needswork]

Comment 29

3 months ago
50 failures in 924 pushes (0.054 failures/push) were associated with this bug in the last 7 days. 

This is the #50 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* autoland: 23
* try: 9
* mozilla-inbound: 9
* mozilla-central: 7
* mozilla-beta: 2

Platform breakdown:
* osx-10-10: 12
* macosx64-stylo-disabled: 11
* linux64: 6
* linux32: 5
* macosx64-stylo: 3
* linux64-stylo-disabled: 3
* linux32-stylo-disabled: 3
* macosx64-nightly: 2
* macosx64-devedition: 2
* linux32-stylo: 2
* linux64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-04&endday=2017-09-10&tree=all

Comment 30

2 months ago
52 failures in 1032 pushes (0.05 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 24
* mozilla-central: 14
* mozilla-inbound: 8
* try: 5
* mozilla-beta: 1

Platform breakdown:
* osx-10-10: 23
* macosx64-stylo-disabled: 11
* linux32: 6
* linux64-stylo-disabled: 5
* linux64: 3
* linux32-stylo-disabled: 2
* macosx64-stylo: 1
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 31

2 months ago
17 failures in 175 pushes (0.097 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* autoland: 11
* mozilla-inbound: 5
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 5
* macosx64-stylo-disabled: 4
* linux64: 3
* linux64-stylo-disabled: 2
* linux32: 2
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-19&endday=2017-09-19&tree=all

Comment 32

2 months ago
15 failures in 190 pushes (0.079 failures/push) were associated with this bug yesterday.    

** This test has failed more than 200 times in the last 30 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* autoland: 9
* mozilla-inbound: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* linux64: 4
* osx-10-10: 3
* macosx64-stylo-disabled: 3
* linux64-stylo-disabled: 2
* linux32-stylo-disabled: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-20&endday=2017-09-20&tree=all
Whiteboard: [stockwell needswork] → [stockwell disable-recommended]

Comment 33

2 months ago
15 failures in 199 pushes (0.075 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 5
* mozilla-central: 4
* autoland: 3
* mozilla-beta: 2
* try: 1

Platform breakdown:
* osx-10-10: 5
* macosx64-stylo-disabled: 4
* macosx64-devedition: 2
* linux64: 2
* linux64-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-21&endday=2017-09-21&tree=all

Comment 34

2 months ago
15 failures in 139 pushes (0.108 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 5
* autoland: 5
* mozilla-central: 4
* mozilla-beta: 1

Platform breakdown:
* macosx64-stylo-disabled: 6
* osx-10-10: 4
* linux32-stylo-disabled: 4
* macosx64-devedition: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-22&endday=2017-09-22&tree=all

Comment 35

2 months ago
109 failures in 943 pushes (0.116 failures/push) were associated with this bug in the last 7 days. 

This is the #13 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 51
* mozilla-inbound: 28
* mozilla-central: 24
* try: 3
* mozilla-beta: 2
* oak: 1

Platform breakdown:
* macosx64-stylo-disabled: 31
* osx-10-10: 25
* linux64: 20
* linux32-stylo-disabled: 17
* linux64-stylo-disabled: 9
* linux32: 5
* macosx64-devedition: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 36

2 months ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a3ce51c3168a
Disable /html/browsers/windows/browsing-context-names/choose-_blank-003.html for frequent failures. r=me, a=test-only
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Flags: needinfo?(james)
https://hg.mozilla.org/mozilla-central/rev/a3ce51c3168a
https://hg.mozilla.org/releases/mozilla-beta/rev/eb405675a961
status-firefox56: affected → wontfix
status-firefox57: affected → disabled
status-firefox58: --- → disabled

Comment 39

2 months ago
25 failures in 885 pushes (0.028 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 8
* autoland: 8
* mozilla-central: 4
* mozilla-beta: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64: 7
* linux64-stylo-disabled: 5
* linux32-stylo-disabled: 5
* osx-10-10: 3
* macosx64-devedition: 3
* macosx64-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1374133&startday=2017-09-25&endday=2017-10-01&tree=all
You need to log in before you can comment on or make changes to this bug.